services:
  automatic_updates.readiness_validation_manager:
    class: Drupal\automatic_updates\Validation\ReadinessValidationManager
    arguments:
      - '@keyvalue.expirable'
      - '@datetime.time'
      - '@package_manager.path_locator'
      - '@event_dispatcher'
      - '@automatic_updates.updater'
      - 24
  automatic_updates.updater:
    class: Drupal\automatic_updates\Updater
    arguments:
      - '@state'
      - '@package_manager.path_locator'
      - '@package_manager.beginner'
      - '@package_manager.stager'
      - '@package_manager.committer'
      - '@package_manager.cleaner'
      - '@event_dispatcher'
  automatic_updates.update_refresh_subscriber:
    class: Drupal\automatic_updates\Event\UpdateRefreshSubscriber
    arguments:
      - '@update.manager'
    tags:
      - { name: event_subscriber }
  automatic_updates.excluded_paths_subscriber:
    class: Drupal\automatic_updates\Event\ExcludedPathsSubscriber
    arguments:
      - '@extension.list.module'
    tags:
      - { name: event_subscriber }
  automatic_updates.staged_projects_validator:
    class: Drupal\automatic_updates\Validator\StagedProjectsValidator
    arguments:
      - '@string_translation'
    tags:
      - { name: event_subscriber }
  automatic_updates.update_version_validator:
    class: Drupal\automatic_updates\Validator\UpdateVersionValidator
    arguments:
      - '@string_translation'
    tags:
      - { name: event_subscriber }
  automatic_updates.composer_executable_validator:
    class: Drupal\automatic_updates\Validator\PackageManagerReadinessCheck
    arguments:
      - '@package_manager.validator.composer_executable'
    tags:
      - { name: event_subscriber }
  automatic_updates.disk_space_validator:
    class: Drupal\automatic_updates\Validator\PackageManagerReadinessCheck
    arguments:
      - '@package_manager.validator.disk_space'
    tags:
      - { name: event_subscriber }
  automatic_updates.pending_updates_validator:
    class: Drupal\automatic_updates\Validator\PackageManagerReadinessCheck
    arguments:
      - '@package_manager.validator.pending_updates'
    tags:
      - { name: event_subscriber }
  automatic_updates.validator.file_system_permissions:
    class: Drupal\automatic_updates\Validator\PackageManagerReadinessCheck
    arguments:
      - '@package_manager.validator.file_system'
    tags:
      - { name: event_subscriber }
  automatic_updates.validator.core_composer:
    class: Drupal\automatic_updates\Validator\CoreComposerValidator
    tags:
      - { name: event_subscriber }
  automatic_updates.cron_frequency_validator:
    class: Drupal\automatic_updates\Validator\CronFrequencyValidator
    arguments:
      - '@config.factory'
      - '@module_handler'
      - '@state'
      - '@datetime.time'
      - '@string_translation'
    tags:
      - { name: event_subscriber }
